.item-slot.tooltip {
    position: relative;
    display: inline-block;
}

.item-slot.tooltip .tooltiptext {
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.2s;
    
    /* Poziționare fixă pe centrul ecranului */
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 999999;

    /* Forțăm dimensiunile să fie vizibile */
    width: 450px !important;  /* Am mărit puțin lățimea */
    min-height: 100px !important; 
    height: auto !important;
    display: flex !important; /* Folosim flexbox pentru a așeza elementele vertical */
    flex-direction: column;
	
    
    background-color: #121212 !important; /* Fundal foarte închis pentru contrast */
    color: #ffffff !important;
    border: 2px solid #ccaa00 !important;
    border-radius: 8px;
    padding: 40px !important;
    box-shadow: 0 0 50px rgba(0, 0, 0, 0.9);
    
    /* Resetăm orice stil care ar putea ascunde textul */
    white-space: normal !important;
    overflow: visible !important;
    pointer-events: none; /* Previne blocarea mouse-ului dacă apare peste slot */
}

.item-slot.tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}

/* Stil pentru imaginea cu margini estompate (faded edges) */
.faded-edges-image {
  -webkit-mask-image: radial-gradient(circle, white 80%, transparent 100%);
  mask-image: radial-gradient(circle, white 80%, transparent 100%);
}